---
title: Cloud Authentication
description: Configure AWS, GitHub, and Custom OIDC cloud authentication for persona and intake authentication through the Datadog API.
breadcrumbs: Docs > API > Cloud Authentication
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Cloud Authentication

Configure AWS, GitHub, and Custom OIDC cloud authentication for persona and intake authentication through the Datadog API.

## [List AWS cloud authentication persona mappings](https://docs.datadoghq.com/api/latest/cloud-authentication/list-aws-cloud-authentication-persona-mappings.md) (preview)

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/aws/persona_mapping     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/aws/persona_mapping |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/aws/persona_mapping |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/aws/persona_mapping      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/aws/persona_mapping |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/aws/persona_mapping |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/aws/persona_mapping |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/aws/persona_mapping      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/aws/persona_mapping  |

## [Get an AWS cloud authentication persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/get-an-aws-cloud-authentication-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/aws/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}  |

## [Create an AWS cloud authentication persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/create-an-aws-cloud-authentication-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/aws/persona_mapping     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/aws/persona_mapping |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/aws/persona_mapping |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/aws/persona_mapping      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/aws/persona_mapping |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/aws/persona_mapping |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/aws/persona_mapping |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/aws/persona_mapping      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/aws/persona_mapping  |

## [Delete an AWS cloud authentication persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-an-aws-cloud-authentication-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/aws/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/aws/persona_mapping/{persona_mapping_id}  |

## [List GitHub cloud authentication persona mappings](https://docs.datadoghq.com/api/latest/cloud-authentication/list-github-cloud-authentication-persona-mappings.md) (preview)

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/github/persona_mapping     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/github/persona_mapping |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/github/persona_mapping |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/github/persona_mapping      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/github/persona_mapping |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/github/persona_mapping |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/github/persona_mapping |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/github/persona_mapping      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/github/persona_mapping  |

## [Get a GitHub cloud authentication persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/get-a-github-cloud-authentication-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/github/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}  |

## [Create a GitHub cloud auth persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/create-a-github-cloud-auth-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/github/persona_mapping     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/github/persona_mapping |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/github/persona_mapping |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/github/persona_mapping      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/github/persona_mapping |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/github/persona_mapping |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/github/persona_mapping |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/github/persona_mapping      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/github/persona_mapping  |

## [Delete a GitHub cloud auth persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-a-github-cloud-auth-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/github/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/github/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/github/persona_mapping/{persona_mapping_id}  |

## [List GitHub cloud authentication intake mappings](https://docs.datadoghq.com/api/latest/cloud-authentication/list-github-cloud-authentication-intake-mappings.md) (preview)

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/github/intake_mapping     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/github/intake_mapping |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/github/intake_mapping |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/github/intake_mapping      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/github/intake_mapping |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/github/intake_mapping |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/github/intake_mapping |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/github/intake_mapping      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/github/intake_mapping  |

## [Get a GitHub cloud authentication intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/get-a-github-cloud-authentication-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/github/intake_mapping/{intake_mapping_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}  |

## [Create a GitHub cloud auth intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/create-a-github-cloud-auth-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/github/intake_mapping     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/github/intake_mapping |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/github/intake_mapping |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/github/intake_mapping      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/github/intake_mapping |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/github/intake_mapping |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/github/intake_mapping |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/github/intake_mapping      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/github/intake_mapping  |

## [Delete a GitHub cloud auth intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-a-github-cloud-auth-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                                              |
| ----------------- | ----------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/github/intake_mapping/{intake_mapping_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/github/intake_mapping/{intake_mapping_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/github/intake_mapping/{intake_mapping_id}  |

## [List AWS cloud authentication intake mappings](https://docs.datadoghq.com/api/latest/cloud-authentication/list-aws-cloud-authentication-intake-mappings.md) (preview)

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/aws/intake_mapping     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/aws/intake_mapping |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/aws/intake_mapping |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/aws/intake_mapping      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/aws/intake_mapping |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/aws/intake_mapping |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/aws/intake_mapping |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/aws/intake_mapping      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/aws/intake_mapping  |

## [Get an AWS cloud authentication intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/get-an-aws-cloud-authentication-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/aws/intake_mapping/{intake_mapping_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}  |

## [Create an AWS cloud authentication intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/create-an-aws-cloud-authentication-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/aws/intake_mapping     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/aws/intake_mapping |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/aws/intake_mapping |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/aws/intake_mapping      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/aws/intake_mapping |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/aws/intake_mapping |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/aws/intake_mapping |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/aws/intake_mapping      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/aws/intake_mapping  |

## [Delete an AWS cloud authentication intake mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-an-aws-cloud-authentication-intake-mapping.md) (preview)

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/aws/intake_mapping/{intake_mapping_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/aws/intake_mapping/{intake_mapping_id}  |

## [List all Custom OIDC providers](https://docs.datadoghq.com/api/latest/cloud-authentication/list-all-custom-oidc-providers.md) (preview)

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/oidc/provider     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/oidc/provider |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/oidc/provider |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/oidc/provider      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/oidc/provider |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/oidc/provider |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/oidc/provider |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/oidc/provider      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/oidc/provider  |

## [Get a Custom OIDC provider](https://docs.datadoghq.com/api/latest/cloud-authentication/get-a-custom-oidc-provider.md) (preview)

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/oidc/provider/{provider_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/oidc/provider/{provider_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/oidc/provider/{provider_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/oidc/provider/{provider_id}  |

## [Create a Custom OIDC provider](https://docs.datadoghq.com/api/latest/cloud-authentication/create-a-custom-oidc-provider.md) (preview)

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/oidc/provider     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/oidc/provider |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/oidc/provider |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/oidc/provider      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/oidc/provider |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/oidc/provider |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/oidc/provider |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/oidc/provider      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/oidc/provider  |

## [Delete a Custom OIDC provider](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-a-custom-oidc-provider.md) (preview)

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/oidc/provider/{provider_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/oidc/provider/{provider_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/oidc/provider/{provider_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/oidc/provider/{provider_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/oidc/provider/{provider_id}  |

## [List all Custom OIDC persona mappings](https://docs.datadoghq.com/api/latest/cloud-authentication/list-all-custom-oidc-persona-mappings.md) (preview)

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/oidc/persona_mapping     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/oidc/persona_mapping      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/oidc/persona_mapping      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/oidc/persona_mapping  |

## [Get a Custom OIDC persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/get-a-custom-oidc-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}  |

## [Create a Custom OIDC persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/create-a-custom-oidc-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/wif/oidc/persona_mapping     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/wif/oidc/persona_mapping      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/wif/oidc/persona_mapping |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/wif/oidc/persona_mapping      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/wif/oidc/persona_mapping  |

## [Delete a Custom OIDC persona mapping](https://docs.datadoghq.com/api/latest/cloud-authentication/delete-a-custom-oidc-persona-mapping.md) (preview)

| Datadog site      | API endpoint                                                                              |
| ----------------- | ----------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/wif/oidc/persona_mapping/{persona_mapping_id}  |
